# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=doxygen
pkgver=1.8.13
pkgrel=1
pkgdesc="A documentation system for C++, C, Java, IDL and PHP"
url="http://www.doxygen.org/"
arch="all"
license="GPL"
depends=""
makedepends="flex bison coreutils perl python3 cmake"
subpackages=""
source="http://ftp.stack.nl/pub/users/dimitri/doxygen-$pkgver.src.tar.gz
	doxygen-1.8.11-install.patch
	"

build() {
	cd "$builddir"
	cmake .\
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-Dbuild_xmlparser=ON \
		-DMAN_INSTALL_DIR=/usr/share/man/man1 \
		-DDOC_INSTALL_DIR=/usr/share/doc/doxygen

	make
}

check() {
	cd "$builddir"
	make test
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
}

md5sums="0fa414975f8cd6d30e126c28327c1f7c  doxygen-1.8.13.src.tar.gz
4a5ab90c93759cc8d5165f693bd72b4e  doxygen-1.8.11-install.patch"
sha256sums="af667887bd7a87dc0dbf9ac8d86c96b552dfb8ca9c790ed1cbffaa6131573f6b  doxygen-1.8.13.src.tar.gz
fc92dc3ccfc361d170ddfd35bc61c7f861417a9ae6bcdc5cd5568cffdfe1dc07  doxygen-1.8.11-install.patch"
sha512sums="85da5bd28ad9f33a8e50fa92796817d31e59c024127cb647cb967e4321dd51378feaacdf099d578b7e6020fd646a3c63e99c77420e49e3894fc18ca89ba3e0a2  doxygen-1.8.13.src.tar.gz
78214c5e626855e12de9680187441a4857ecbceb077d7fc1aa0ddc285887ed9b0a26ac321fb91a320115ef85eb568440652cbe36ee9453156ad4a21d9761b148  doxygen-1.8.11-install.patch"
